Qyra
ReferenceHomepage

POST/api/v1/projects/{projectUuid}/announcements

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Request body

{
  "scheduledPublishAt": "2024-01-01T00:00:00.000Z",
  "publishNow": true,
  "slackChannelId": "string",
  "category": {},
  "body": "string",
  "title": "string"
}

Responses

201 — Created

{
  "results": {
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "authorName": "string",
    "createdByUserUuid": "string",
    "scheduledPublishAt": "2024-01-01T00:00:00.000Z",
    "pendingSlackChannelId": "string",
    "published": true,
    "pinned": true,
    "category": {},
    "body": "string",
    "title": "string",
    "projectUuid": "string",
    "announcementUuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}